<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Addonis by Team 10</title>
    <style>
      .toggle-switch {
        position: relative;
        display: inline-block;
        width: 60px;
        height: 30px;
      }

      .toggle-slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        border-radius: 30px;
        transition: 0.4s;
      }

      .toggle-slider:before {
        position: absolute;
        content: "";
        height: 26px;
        width: 26px;
        left: 2px;
        bottom: 2px;
        background-color: white;
        border-radius: 50%;
        transition: 0.4s;
        font-size: 20px;
        line-height: 26px;
        text-align: center;
      }

      .toggle-slider:before {
        content: url("../addonis-project/src/icons/sun.svg");
      }

      input[type="checkbox"] {
        display: none;
      }

      input[type="checkbox"]:checked + .toggle-slider {
        background-color: #616161;
      }

      input[type="checkbox"]:checked + .toggle-slider:before {
        transform: translateX(30px);
        content: url("../addonis-project/src/icons/moon.svg");
        color: white;
      }

      body[data-bs-theme="light"] {
        background-image: url("A.png");
        background-size: cover;
        background-repeat: no-repeat;
      }

      body[data-bs-theme="dark"] {
        background-image: url("12.jpeg");
        background-size: cover;
        background-repeat: no-repeat;
      }
    </style>
  </head>

  <body data-bs-theme="dark">
    <label class="toggle-switch">
      <input
        type="checkbox"
        role="switch"
        id="themeToggle"
        checked
        onClick="toggleTheme()"
      />
      <span class="toggle-slider"></span>
    </label>
    <div id="root"></div>
    <script type="module" src="/src/main.jsx"></script>
    <script>
      function toggleTheme() {
        const element = document.body;
        element.dataset.bsTheme =
          element.dataset.bsTheme === "dark" ? "light" : "dark";
      }
    </script>
  </body>
</html>
